import request from '@/utils/request'

// 查询订单电量记录列表
export function listBillEleRecord(query) {
  return request({
    url: '/ss/billEleRecord/list',
    method: 'get',
    params: query
  })
}

// 查询订单电量记录详细
export function getBillEleRecord(id) {
  return request({
    url: '/ss/billEleRecord/' + id,
    method: 'get'
  })
}

// 新增订单电量记录
export function addBillEleRecord(data) {
  return request({
    url: '/ss/billEleRecord',
    method: 'post',
    data: data
  })
}

// 修改订单电量记录
export function updateBillEleRecord(data) {
  return request({
    url: '/ss/billEleRecord',
    method: 'put',
    data: data
  })
}

// 删除订单电量记录
export function delBillEleRecord(id) {
  return request({
    url: '/ss/billEleRecord/' + id,
    method: 'delete'
  })
}
